.registration-form {
    position: fixed;
    top: -75%;
    z-index: 20;
    background: #000000ed;
    width: 100%;
    height: 75%;
    transform: translateY(0%);
    -webkit-transition: transform 0.5s;
    -moz-transition: transform 0.5s;
    -ms-transition: transform 0.5s;
    -o-transition: transform 0.5s;
    transition: transform 0.5s;
}

.registration-form-show {
    transform: translateY(100%);
}

.registration-block {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.registration-block p.reg-info {
    font-family: "Bebas Neuebold";
    font-size: 45px;
    line-height: normal;
    opacity: 0.5;
}

.registration-close-btn {
    background: none;
    border: none;
    position: absolute;
    top: 15px;
    right: 15px;
    opacity: 0.5;
    transition: 0.3s;
}

.registration-close-btn:hover {
    opacity: 1;
}

.registration-close-btn:focus {
    outline: none;
}

form .registration button.in-block {
    width: 100% !important;
}

.price-contact p {
    line-height: 23px;
    font-size: 16px;
    max-width: 550px;
    margin: 0;
}

.line, .line-error {
    height: 2px;
    width: 0%;
    position: absolute;
    transition: .5s width cubic-bezier(0.4, 0, 1, 1);
    position: relative;
    top: -2px;
}

.line {
    background-color: #00a19a;
}

.line-error {
    background-color: var(--main-theme1);
}

.line-focus {
    width: 100%;
}

.line-focus-error {
    width: 100%;
}

input {
    background: unset;
    border: none;
    border-bottom: 2px solid #ffffff80;
    height: 60px;
    color: white;
    width: 100%;
    line-height: 25px;
    font-size: 30px;
    text-align: left;
    letter-spacing: 0.05em;
    padding-bottom: 5px;

}

input:focus {
    outline: none;
}

label {
    position: absolute;
    transition: 0.5s;
    top: 0;
    font-size: 30px;
    text-align: left;
    letter-spacing: 0.05em;
    opacity: 0.5;
    transform-origin: left;
}

.input {
    margin: 35px 0;
}

.focus-label {
    top: -35px;
    opacity: 1;
    transform: scale(0.8);
    color: #00a19a;
    font-weight: bold;
}

.focus-label-error {
    top: -35px;
    opacity: 1;
    transform: scale(0.8);
    color: var(--main-theme1);
    font-weight: bold;
}

.contact-form .input {
    margin-bottom: 10px;
}

@media screen and (max-width: 1444px) {
    .input {
        margin: 2.5vw 0;
    }
    input {
        height: 2.8vw;
        line-height: unset;
        font-size: 1.8vw;
        padding-bottom: 10px;
    }
    .price-feedback {
        max-width: 28vw;
    }
    label {
        font-size: 1.6vw;
    }
    .focus-label, .focus-label-error {
        top: -2vw;
    }
    .registration-block p.reg-info {
        font-size: 3vw;
    }
}
@media screen and (max-width: 520px) {
    label {
        font-size: 18px;
    }
    input {
        height: 24px;
        font-size: 18px;
    }
    .focus-label, .focus-label-error {
        top: -22px;
    }
    .input {
        margin: 20px 0;
    }
    .registration-form .registration button {
        max-width: unset;
        max-height: unset;
        font-size: 16px;
        height: 50px;
    }
}



